@extends('pd::layouts.app')

@section('head')
<!-- Prism -->
<link rel="stylesheet" href="{{ url('vendors/prism/prism.css') }}" type="text/css">

<!-- Datepicker -->
<link rel="stylesheet" href="{{ url('vendors/datepicker/daterangepicker.css') }}" type="text/css">
<!-- AutoComplete -->
<link rel="stylesheet" href="{{ Module::asset('pd:js/autocomplete/css/autocomplete.min.css') }}" type="text/css">

<meta name="csrf-token" content="{{ csrf_token() }}">
@endsection

@section('content')

<div class="page-header">
    <div>
        <h3>Daily Production</h3>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item">
                    <a href="#">Home</a>
                </li>
                <li class="breadcrumb-item">
                    <a href="#">Pages</a>
                </li>
                <li class="breadcrumb-item active" aria-current="page">Form Page</li>
            </ol>
        </nav>
    </div>
</div>

<div class="row">
    <div class="col-md-12">

        <div class="card">
            <div class="card-body">

                <div class="row">
                    <div class="col-md-5 mb-3">
                        <i class="fa fa-calendar text-info" aria-hidden="true"></i>
                        <label for="txtDate">Date</label>
                        <input type="text" id="txtDate" name="date" class="form-control">
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-5 mb-3">
                        <i class="fa fa-pencil text-info" aria-hidden="true"></i>
                        <label for="txtSupervisor">Supervisor</label>
                        <input type="text" id="txtSupervisor" name="supervisor" class="form-control auto-complete">
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-5 mb-3">
                        <i class="fa fa-pencil text-info" aria-hidden="true"></i>
                        <label for="cmbManuFacturingOrderNo">Manufacturing Order No.</label>
                        <select type="text" id="cmbManuFacturingOrderNo" name="manuFacturingOrderNo" class="form-control"></select>
                    </div>
                </div>


                <div class="row">
                    <div class="col-md-5 mb-3">
                        <i class="fa fa-pencil text-info" aria-hidden="true"></i>
                        <label for="txtProduct">Product</label>
                        <input type="text" id="txtProduct" name="product" class="form-control auto-complete">
                    </div>
                </div>


                <div class="row">
                    <div class="col-md-5 mb-3">
                        <i class="fa fa-pencil text-info" aria-hidden="true"></i>
                        <label for="cmbMachine">Machine</label>
                        <select type="text" id="cmbMachine" name="machine" class="form-control"></select>
                    </div>
                </div>


                <div class="row">
                    <div class="col-md-5 mb-3">
                        <i class="fa fa-pencil text-info" aria-hidden="true"></i>
                        <label for="txtRefferanceNo">Refferance No.</label>
                        <input type="text" id="txtRefferanceNo" name="refferanceNo" class="form-control">
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-5 mb-3">
                        <div class="row">
                            <div class="col-md-6">
                                <i class="fa fa-pencil text-info" aria-hidden="true"></i>
                                <label for="txtQuantity">Day Quantity</label>
                                <input type="text" id="txtDayQuantity" name="dayQuantity" class="form-control">
                            </div>
                            <div class="col-md-6">
                                <i class="fa fa-pencil text-info" aria-hidden="true"></i>
                                <label for="txtQuantity">Night Quantity</label>
                                <input type="text" id="txtNightQuantity" name="nightQuantity" class="form-control">
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-5 mb-3" style="text-align: right;">
                        <button id="btnAction" class="btn btn-primary">Save</button>
                    </div>
                </div>



            </div>

        </div>
    </div>



    <!-- JQuery !-->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    @endsection

    @section('script')
    <!-- Datepicker -->
    <script src="{{ url('vendors/datepicker/daterangepicker.js') }}"></script>
    <script src="{{ Module::asset('pd:js/autocomplete/js/autocomplete.min.js') }}?random=<?php echo uniqid(); ?>"></script>
    <script src="{{ Module::asset('pd:js/daily_production.js') }}?random=<?php echo uniqid(); ?>"></script>

    @endsection